" display current mode (insert/normal)
set verbose showmode
" show matching parens, braces, etc
set showmatch
" display row/column info
set ruler
" autoindent width = 2 spaces
set shiftwidth=2
" tab width = 2 spaces
set tabstop=2
" display all error messages
set verbose
" enable horizontal scrolling
set leftright
" use extended regular expressions
set extended
" case-insensitive search, unless an uppercase letter is used
set iclower
" incremental search
set searchincr
" print helpful messages (eg, 4 lines yanked)
set report=1
